---
title: PaymentAddress.languageCode
slug: Web/API/PaymentAddress/languageCode
tags:
  - API
  - Address
  - Deprecated
  - Language
  - LanguageCode
  - Locale
  - RTCRtpStreamStats
  - RTP
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - rtc
---
<p>{{deprecated_header}}{{APIRef("Payment Request API")}}</p>

<p><span class="seoSummary">The <strong><code>languageCode</code></strong> read-only property of the {{domxref('PaymentAddress')}} interface returns a string containing the <a href="https://tools.ietf.org/html/bcp47">BCP-47</a> language code for the address.</span> This is used while localizing the displayy of the address, allowing the determination of the field separators and the order of fields when formatting the address.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>paymentLanguageCode</em> = <em>PaymentAddress</em>.languageCode;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} providing the <a href="https://tools.ietf.org/html/bcp47">BCP-47</a> format language code indicating the language the address was written in, such as <code>"en-US"</code>, <code>"pt-BR"</code>, or <code>"ja-JP"</code>.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentAddress.languageCode")}}</p>
</div>
